## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26, edited manually
%bcond_without check

# prevent library files from being installed
%global cargo_install_lib 0

%global crate crun-vm

Name:           crun-vm
Version:        0.2.0
Release:        %autorelease
Summary:        An OCI Runtime that runs VM images

SourceLicense:  GPL-2.0-or-later

# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# GPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# MPL-2.0+
# Unlicense OR MIT
License:        Apache-2.0 AND GPL-2.0-or-later AND MIT AND MPL-2.0 AND MPL-2.0+ AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/containers/crun-vm
Source:         https://github.com/containers/crun-vm/archive/%{version}.tar.gz

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  libselinux-devel

Requires:       bash
Requires:       coreutils
Requires:       crun
Requires:       genisoimage
Requires:       grep
Requires:       libselinux
Requires:       libvirt-client
Requires:       libvirt-daemon-driver-qemu
Requires:       libvirt-daemon-log
Requires:       openssh
Requires:       openssh-clients
Requires:       passt
Requires:       qemu-img
Requires:       qemu-system-x86-core
Requires:       util-linux
Requires:       virtiofsd

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/crun-vm

%changelog
## START: Generated by rpmautospec
* Sun Apr 28 2024 Alberto Faria <afaria@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Sun Apr 28 2024 Alberto Faria <afaria@redhat.com> - 0.1.3-6
- Drop Fedora 38 support

* Mon Apr 15 2024 Alberto Faria <afaria@redhat.com> - 0.1.3-5
- Add missing dependency on passt

* Mon Apr 15 2024 Alberto Faria <afaria@redhat.com> - 0.1.3-4
- Drop unnecessary dependency on shadow-utils

* Tue Apr 02 2024 Alberto Faria <afaria@redhat.com> - 0.1.3-3
- Avoid missing Requires on Fedora 38

* Fri Mar 22 2024 Alberto Faria <afaria@redhat.com> - 0.1.3-2
- Add missing run-time dependencies

* Tue Mar 19 2024 Alberto Faria <afaria@redhat.com> - 0.1.3-1
- Initial import (fedora#2266310).
## END: Generated by rpmautospec
